Subject: Comparisons
From: Kimo <[email-masked]>
To: [email-masked]
Date: Sun, 02 Mar 1997 01:12:40 -0800

>Maybe you are referring to Kaio? Anyway as I already said you can't
>compare an anime like Fist of the North Star with Ranma 1/2...

Nah, you can compare anything to anything else.  It may not necessarily be
fair, but it's possible.  Like Ranma's beating Ken (Fist of the North
Star's), for instance.  In a way it's not fair that he should be able to
since Ken's supposed to be the quintessential fighter and savior of the
world, but if you think about it, he probably would lose to Ranma.  Just
like comparing Ranma to DBZ, it's possible, just kinda depressing sometimes
and not fair to the comparees most of the time...
Kimo
Owner and creator of the most pointless page on the 'Net at
http://www-scf.usc.edu/~koshi